cs_stats_tracker Struct Reference
Collaboration diagram for cs_stats_tracker:
[legend]

## Data Fields

char * | key_name
void * | user_data
int32_t | events
icmap_notify_fn_t | notify_fn
uint64_t | old_value
struct qb_list_head | list

## Detailed Description

Definition at line 223 of file stats.c.

## Field Documentation

## events

int32_t cs_stats_tracker::events

Definition at line 227 of file stats.c.

Referenced by stats_map_track_add(), stats_map_track_delete(), and stats_trigger_trackers().

## key_name

char* cs_stats_tracker::key_name

Definition at line 225 of file stats.c.

Referenced by stats_map_track_add(), stats_map_track_delete(), and stats_trigger_trackers().

## list

struct qb_list_head cs_stats_tracker::list

Definition at line 229 of file stats.c.

## notify_fn

icmap_notify_fn_t cs_stats_tracker::notify_fn

Definition at line 228 of file stats.c.

Referenced by stats_map_track_add(), and stats_trigger_trackers().

## old_value

uint64_t cs_stats_tracker::old_value

Definition at line 229 of file stats.c.

Referenced by stats_map_track_add(), and stats_trigger_trackers().

## user_data

void* cs_stats_tracker::user_data

Definition at line 226 of file stats.c.

Referenced by stats_map_track_add(), stats_map_track_get_user_data(), and stats_trigger_trackers().

The documentation for this struct was generated from the following file:

- stats.c